<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-11 12:09:33
 * 文件不允许修改，自动生成
 */

namespace common\table\bms_alarm;

class JdzDeviceAlarmV2{
    public static function tableName()
    {
        return '{{jdz_device_alarm_v2}}';
    }
                
    /**
     * ------------ 字段 id 
     * ------------ 表字段注释: 
     */
    public function filterById($val): self
    {
        $this->filterByColumn("id", $val);
        return $this;
    }

    public function setId($val): self
    {
        $this->setAttr("id", $val);
        return $this;
    }

    public function getId()
    {
        return $this->id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 admin_id 
     * ------------ 表字段注释: 
     */
    public function filterByAdminId($val): self
    {
        $this->filterByColumn("admin_id", $val);
        return $this;
    }

    public function setAdminId($val): self
    {
        $this->setAttr("admin_id", $val);
        return $this;
    }

    public function getAdminId()
    {
        return $this->admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 path 
     * ------------ 表字段注释: 
     */
    public function filterByPath($val): self
    {
        $this->filterByColumn("path", $val);
        return $this;
    }

    public function setPath($val): self
    {
        $this->setAttr("path", $val);
        return $this;
    }

    public function getPath()
    {
        return $this->path ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 num 
     * ------------ 表字段注释: 报警次数
     */
    public function filterByNum($val): self
    {
        $this->filterByColumn("num", $val);
        return $this;
    }

    public function setNum($val): self
    {
        $this->setAttr("num", $val);
        return $this;
    }

    public function getNum()
    {
        return $this->num ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 date 
     * ------------ 表字段注释: 时间-年月日
     */
    public function filterByDate($val): self
    {
        $this->filterByColumn("date", $val);
        return $this;
    }

    public function setDate($val): self
    {
        $this->setAttr("date", $val);
        return $this;
    }

    public function getDate()
    {
        return $this->date ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 deal_num 
     * ------------ 表字段注释: 已处理数量
     */
    public function filterByDealNum($val): self
    {
        $this->filterByColumn("deal_num", $val);
        return $this;
    }

    public function setDealNum($val): self
    {
        $this->setAttr("deal_num", $val);
        return $this;
    }

    public function getDealNum()
    {
        return $this->deal_num ?? null;
    }
    // ---------------------------------------------
    
}
